Menubar icon bar on Windows is too high due to HiDPI feature

11/21/2015 05:33 PM - Zbigniew Rebacz

Status: In Progress Start date: 11/21/2015

Priority: High Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CtrlLib Estimated time: 0.00 hour

Target version: Release 2021.1 - NTH Spent time: 0.00 hour

Description

http://www.ultimatepp.org/forums/index.php?t=msg&#38;th=9464&#38;start=0x%x%

History

#1 - 11/22/2015 07:27 AM - Miroslav Fidler

- Status changed from New to Approved

#2 - 11/24/2015 04:54 PM - Zbigniew Rebacz

- File MenuBarWindows.png added

For me it dosen't help - more information in screenshot.

#3 - 12/05/2015 12:24 PM - Zbigniew Rebacz

- Status changed from Approved to In Progress

- Target version changed from Release 2015.2 to Release 2017.1

#4 - 12/05/2015 07:54 PM - Zbigniew Rebacz

- File Standard.png added

Added screenshot from Windows Explorer.

#5 - 02/02/2016 08:08 PM - Zbigniew Rebacz

- File MenuBarWindowsFix.diff added

    -  Value is the same like this in GTK backend.

#6 - 02/02/2016 08:13 PM - Zbigniew Rebacz

- Status changed from In Progress to Patch ready

- Priority changed from Normal to High

#7 - 05/08/2016 08:58 AM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#8 - 05/14/2016 04:13 PM - Zbigniew Rebacz

- Status changed from Ready for QA to In Progress
- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

It looks better - but still we have got big left/right margin. I think it should be a little bit more smaller.

#9 - 05/23/2016 02:11 PM - Zbigniew Rebacz

There is problem with this solution on Windows 7 where menu bar has got additional line.

#10 - 06/12/2016 12:51 PM - Zbigniew Rebacz

- Target version changed from Release 2017.1 to Release 2017.1 - NTH

For me it is not longer release - blocker - it looks much better now - so this cosmetic change could be taken into account.

#11 - 02/05/2017 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2017.1 - NTH to Release 2017.2 - NTH

#12 - 12/24/2017 06:36 PM - Zbigniew Rebacz

- Target version changed from Release 2017.2 - NTH to Release 2018.1 - NTH

#13 - 04/03/2018 10:00 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 - NTH to Release 2019.1 - NTH

#14 - 06/24/2019 01:29 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 - NTH to Release 2019.2 - NTH

#15 - 11/01/2019 11:21 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 - NTH to Release 2020.1 - NTH

#16 - 05/24/2020 12:48 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 - NTH to Release 2020.2 - NTH

#17 - 10/21/2020 11:34 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 - NTH to Release 2021.1 - NTH

Files

MenuBarWindows.png 141 KB 11/24/2015 Zbigniew Rebacz

Standard.png 86.7 KB 12/05/2015 Zbigniew Rebacz

MenuBarWindowsFix.diff 1.94 KB 02/02/2016 Zbigniew Rebacz
